---
updatedAt: 2026-06-13T01:37:16.000Z
agentTools:
  siteIndex: https://developers.pismo.io/llms.txt
  projectIndex: https://developers.pismo.io/pismo-docs/llms.txt
---

# Delete eBill registration

Delete eBill registration.<br>
This endpoint produces an [eBill registration status updated](https://developers.pismo.io/events/docs/integrated-payments-ebill-status-change-1) event.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Banking - Integrated payments",
    "version": "1.0",
    "description": "API responsible for handling and processing integrated payments",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    }
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io/integrated-payments",
      "description": "Sandbox API server for testing"
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "components": {
    "parameters": {
      "idempotencyKeyHeader": {
        "name": "x-idempotency-key",
        "in": "header",
        "description": "Unique identifier (UUID) to ensure the operation remains idempotent, allowing for operation repitition without causing unintended effects or duplication. An idempotent operation is one that can be applied multiple times, yet the outcome remains the same. it ensures that network errors, retries, or failures can occur without introducing inconsistencies.\n",
        "required": true,
        "schema": {
          "type": "string"
        },
        "example": "6a17f82d-7365-4451-a83d-09403f05c1ec"
      },
      "accountIdPath": {
        "name": "accountId",
        "in": "path",
        "description": "Your Pismo account ID.",
        "required": true,
        "schema": {
          "type": "string"
        },
        "example": "78123456"
      }
    },
    "schemas": {
      "domain.Error": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error type code.",
            "example": "EIP0001"
          },
          "details": {
            "type": "string",
            "description": "Error details.",
            "example": "Error details"
          },
          "message": {
            "type": "string",
            "description": "Error message describing the error.",
            "example": "error"
          }
        }
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    }
  },
  "paths": {
    "/v1/ebill-registration/accounts/{accountId}": {
      "delete": {
        "tags": [
          "eBill registration"
        ],
        "summary": "Delete eBill registration",
        "description": "Delete eBill registration.<br>\nThis endpoint produces an [eBill registration status updated](https://developers.pismo.io/events/docs/integrated-payments-ebill-status-change-1) event.\n",
        "operationId": "delete-integrated-payments-api-v1-ebill-registration-accounts-accountId",
        "parameters": [
          {
            "$ref": "#/components/parameters/accountIdPath"
          },
          {
            "$ref": "#/components/parameters/idempotencyKeyHeader"
          }
        ],
        "responses": {
          "204": {
            "description": "No Content",
            "headers": {
              "x-cid": {
                "description": "Request tracking ID.",
                "schema": {
                  "type": "string"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "headers": {
              "x-cid": {
                "description": "Request tracking ID.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/domain.Error"
                },
                "examples": {
                  "EIP0012": {
                    "summary": "Account not found",
                    "value": {
                      "code": "EIP0012",
                      "message": "Account not found"
                    }
                  },
                  "EIP0013": {
                    "summary": "Accounts - API returned 4xx error",
                    "value": {
                      "code": "EIP0013",
                      "message": "Accounts - API returned 4xx error"
                    }
                  },
                  "EIP0023": {
                    "summary": "BankingGatewayAPI - API returned 4xx error",
                    "value": {
                      "code": "EIP0023",
                      "message": "BankingGatewayAPI - API returned 4xx error"
                    }
                  },
                  "EIP0091": {
                    "summary": "eBill registration is not deletable",
                    "value": {
                      "code": "EIP0091",
                      "message": "Ebill registration is not deletable"
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "headers": {
              "x-cid": {
                "description": "Request tracking ID.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/domain.Error"
                },
                "examples": {
                  "EIP0005": {
                    "summary": "Missing required header {x-tenant}",
                    "value": {
                      "code": "EIP0005",
                      "message": "Missing required header: 'x-tenant'"
                    }
                  },
                  "EIP0006": {
                    "summary": "Invalid account id header {x-account-id}",
                    "value": {
                      "code": "EIP0006",
                      "message": "Invalid account id header: 'x-account-id'"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "headers": {
              "x-cid": {
                "description": "Request tracking ID.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/domain.Error"
                },
                "examples": {
                  "EIP0088": {
                    "summary": "eBill registration not found",
                    "value": {
                      "code": "EIP0088",
                      "message": "Ebill registration not found"
                    }
                  },
                  "EIP0062": {
                    "summary": "BankingGatewayAPI - Register not found in provider",
                    "value": {
                      "code": "EIP0062",
                      "message": "BankingGatewayAPI - Register data not found in provider"
                    }
                  }
                }
              }
            }
          },
          "409": {
            "description": "Conflict",
            "headers": {
              "x-cid": {
                "description": "Request tracking ID.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/domain.Error"
                },
                "examples": {
                  "EIP0065": {
                    "summary": "BankingGatewayAPI - API returned 409 provider error",
                    "value": {
                      "code": "EIP0065",
                      "message": "BankingGatewayAPI - API returned 409 provider error"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "headers": {
              "x-cid": {
                "description": "Request tracking ID.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/domain.Error"
                },
                "examples": {
                  "EIP0004": {
                    "summary": "HTTP request error",
                    "value": {
                      "code": "EIP0004",
                      "message": "HTTP request error"
                    }
                  },
                  "EIP0007": {
                    "summary": "Internal error",
                    "value": {
                      "code": "EIP0007",
                      "message": "Internal error"
                    }
                  },
                  "EIP0011": {
                    "summary": "Accounts API timeout error",
                    "value": {
                      "code": "EIP0011",
                      "message": "Accounts API timeout error"
                    }
                  },
                  "EIP0014": {
                    "summary": "Accounts - API returned 5xx error",
                    "value": {
                      "code": "EIP0014",
                      "message": "Accounts - API returned 5xx error"
                    }
                  },
                  "EIP0022": {
                    "summary": "BankingGatewayAPI - API timeout error",
                    "value": {
                      "code": "EIP0022",
                      "message": "BankingGatewayAPI - API timeout error"
                    }
                  },
                  "EIP0089": {
                    "summary": "eBill database error",
                    "value": {
                      "code": "EIP0089",
                      "message": "Ebill database error"
                    }
                  },
                  "EIP0070": {
                    "summary": "BankingGateway API - Failed to unmarshal error response body",
                    "value": {
                      "code": "EIP0070",
                      "message": "BankingGateway API - Failed to unmarshal error response body"
                    }
                  }
                }
              }
            }
          },
          "502": {
            "description": "Bad Gateway",
            "headers": {
              "x-cid": {
                "description": "Request tracking ID.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/domain.Error"
                },
                "examples": {
                  "EIP0024": {
                    "summary": "BankingGatewayAPI - API returned 5xx error",
                    "value": {
                      "code": "EIP0024",
                      "message": "BankingGatewayAPI - API returned 5xx error"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```